Security Enhanced Linux Reference Policy

# Layer: services

## Module: abrt

Tunables Interfaces

### Description:

Automated bug-reporting tool.

### Tunables:

abrt_anon_write

##### Default value

false

##### Description

Determine whether ABRT can modify public files used for public file transfer services.

abrt_handle_event

##### Default value

false

##### Description

Determine whether ABRT can run in the abrt_handle_event_t domain to handle ABRT event scripts.

abrt_upload_watch_anon_write

##### Default value

true

##### Description

Determine whether abrt-handle-upload can modify public files used for public file transfer services in /var/spool/abrt-upload/.

Return

### Interfaces:

abrt_admin( domain , role )

##### Summary

All of the rules required to administrate an abrt environment,

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

abrt_dbus_chat( domain )

##### Summary

Send and receive messages from abrt over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_domtrans( domain )

##### Summary

Execute abrt in the abrt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

abrt_domtrans_helper( domain )

##### Summary

Execute abrt-helper in the abrt helper domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

abrt_exec( domain )

##### Summary

Execute abrt in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_manage_cache( domain )

##### Summary

Create, read, write, and delete abrt cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_manage_pid_files( domain )

##### Summary

Create, read, write, and delete abrt PID files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete abrt runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_read_config( domain )

##### Summary

Read abrt configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_read_log( domain )

##### Summary

Read abrt log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_read_pid_files( domain )

##### Summary

Read abrt PID files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_read_state( domain )

##### Summary

Read process state of abrt.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_run_helper( domain , role )

##### Summary

Execute abrt helper in the abrt helper domain, and allow the specified role the abrt helper domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

abrt_signull( domain )

##### Summary

Send null signals to abrt.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

abrt_stream_connect( domain )

##### Summary

Connect to abrt over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return